<?php

namespace EventPortal\Concerns;

use EventPortal\Domain\Team\Models\Team;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphToMany;

trait HasTeams
{
    public function teams(): MorphToMany
    {
        return $this->morphToMany(Team::class, 'teamable');
    }

    public function belongsToTeam(Team $team): bool
    {
        return $this->teams->pluck('id')->contains($team->id);
    }

    public function belongsToSameTeamAs(Model $model): bool
    {
        return $this->teams->pluck('id')->intersect($model->teams->pluck('id'))->isNotEmpty();
    }
}
