<?php

namespace EventPortal\Domain\Event\Enums;

use Spatie\Enum\Enum;

class DelegateStatus extends Enum
{
    public static function candidate(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'candidate';
            }

            public function getName(): string
            {
                return 'Candidate';
            }

            public function getIndex(): int
            {
                return 10;
            }
        };
    }

    public static function invited(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'invited';
            }

            public function getName(): string
            {
                return 'Invited';
            }

            public function getIndex(): int
            {
                return 20;
            }
        };
    }

    public static function registered(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'registered';
            }

            public function getName(): string
            {
                return 'Registered';
            }

            public function getIndex(): int
            {
                return 30;
            }
        };
    }

    public static function declined(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'declined';
            }

            public function getName(): string
            {
                return 'Declined';
            }

            public function getIndex(): int
            {
                return 40;
            }
        };
    }

    public static function attended(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'attended';
            }

            public function getName(): string
            {
                return 'Attended';
            }

            public function getIndex(): int
            {
                return 50;
            }
        };
    }

    public static function cancelled(): DelegateStatus
    {
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'cancelled';
            }

            public function getName(): string
            {
                return 'Cancelled';
            }

            public function getIndex(): int
            {
                return 60;
            }
        };
    }

    // phpcs:disable PSR1.Methods.CamelCapsMethodName.NotCamelCaps
    public static function no_show(): DelegateStatus
    {
    // phpcs:enable
        return new class() extends DelegateStatus {
            public function getValue(): string
            {
                return 'no_show';
            }

            public function getName(): string
            {
                return 'No Show';
            }

            public function getIndex(): int
            {
                return 70;
            }
        };
    }
}
