<?php

namespace EventPortal\Domain\User\Models;

use EventPortal\Concerns\AddToCasts;
use EventPortal\Concerns\AddToFillable;
use EventPortal\Concerns\HasTeams;
use EventPortal\Domain\Delegate\Models\Delegate;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable, AddToFillable, AddToCasts, HasTeams;

    const KEY = 'user';

    /** @var array */
    protected $fillable = [
        'first_name',
        'last_name',
        'email',
    ];

    public function delegate(): BelongsTo
    {
        return $this->belongsTo(Delegate::class);
    }

    public function getFullNameAttribute(): string
    {
        return trim(implode(' ', [$this->first_name, $this->last_name]));
    }
}
