<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('delegate.index')
    ->joinRelation('user')
    ->addAvailableColumns(function () {
        return [
            Text::make('First name'),
            Text::make('Last name'),
            Text::make('Email'),
        ];
    })
    ->addDefaultColumns(function () {
        return [
            Text::make('First name'),
            Text::make('Last name'),
            Text::make('Email'),
        ];
    })
    ->addRowAction(function (Delegate $delegate) {
        return ButtonDropdown::make('Manage delegate')
            ->actions([
                Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.delegate.show', [
                        'delegate' => $delegate->id,
                    ]),
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.delegate.edit', [
                        'delegate' => $delegate->id,
                    ]),
            ]);
    });
