<?php

namespace EventPortal\Tests\Feature\Admin\Permission;

use EventPortal\Domain\Permission\Models\Permission;
use EventPortal\Tests\Support\Factories\PermissionFactory;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class PermissionIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test **/
    public function shows_index()
    {
        factory(Permission::class)->create();

        $permissions = PermissionFactory::makeWithRoleAndGroup(5);

        $this->assertMatchesJsonSnapshot($this->get(route('admin.permission.index'))->props());
    }
}
