<?php

namespace EventPortal\Tests\Feature\Admin\Team;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Team\Models\Team;
use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\Support\Traits\InteractsWithTeams;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class TeamPermissionsTest extends TestCase
{
    use DatabaseMigrations, InteractsWithTeams;

    /** @test */
    public function a_user_cannot_view_events_from_other_teams()
    {
        $team1 = factory(Team::class)->create();
        [$team1Event, $team2Event] = factory(Event::class, 2)->create();
        $team1User = factory(User::class)->create();

        $this->addToSameTeam([$team1User, $team1Event], $team1);

        $this->actingAs($team1User)
            ->get(route('admin.event.show', $team1Event))
            ->assertOk();
        $this->get(route('admin.event.show', $team2Event))
            ->assertUnauthorized();
    }
}
