<?php

namespace EventPortal\Tests\Feature\Admin\Team;

use EventPortal\Tests\TestCase;
use EventPortal\Domain\Team\Models\Team;
use EventPortal\Domain\User\Models\User;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class UserDeleteTest extends TestCase
{
    use DatabaseMigrations;

    /** @test */
    public function a_user_can_be_deleted()
    {
        $admin = factory(User::class)->create();
        $user = factory(User::class)->create([
            'first_name' => 'Firstname',
        ]);

        $this
            ->actingAs($admin)
            ->followingRedirects()
            ->post(route('admin.user.delete', $user))
            ->assertOk();

        $this->assertDatabaseMissing('users', [
            'first_name' => 'Firstname',
        ]);
    }
}
