<?php

namespace EventPortal\Tests\Feature\Admin\User;

use Carbon\Carbon;
use EventPortal\Domain\User\Models\User;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Spatie\Snapshots\MatchesSnapshots;

class UserIndexTest extends TestCase
{
    use DatabaseMigrations, MatchesSnapshots;

    /** @test */
    public function users_are_listed_on_the_index()
    {
        Carbon::setTestNow('2020-07-03 16:00:00');

        $user = factory(User::class)->state('snapshot')->create();

        $this->assertMatchesJsonSnapshot(
            $this->actingAs($user)
                ->get(route('admin.user.index'))->props()
        );
    }
}
