<?php

namespace EventPortal\Tests\Unit\EventDelegate\Models;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Enums\DelegateStatus;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class EventDelegateTest extends TestCase
{
    use RefreshDatabase;

    /** @test **/
    public function saves_status_as_option()
    {
        EventDelegate::create([
            'status' => DelegateStatus::attended(),
            'delegate_id' => 1,
            'event_id' => 1,
        ]);

        $status = Option::make('Attended')->value('attended')->toJson();

        $this->assertDatabaseHas('delegate_event', ['status' => $status]);
    }
}
